ejohn amqp wrapper this is for my bus_component to work properly.
PHP Python JavaScript
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib
test
.gitignore
.gitmodules
README.md
composer.json
composer.lock
package.json
setup.py

README.md

message-amqp

Introduction:

Simple amqp component that will be used by the bus component

Setup:

There is a git submodule for the php component

$ git submodule init
$ git submodule update

Class autoloading and dependencies are managed by composer so install it, and then install the library dependencies and genereta the autoload.php file:

$ curl --silent https://getcomposer.org/installer | php && php composer.phar install

Note:

Currently the node_modules are set at the base level if this lib is imported so node_module dir is not at inside it's base it will have trouble with import.. TODO